Bug 1176887 - Review Request: nodejs-crc32-stream - A streaming CRC32 checksumer
Summary: Review Request: nodejs-crc32-stream - A streaming CRC32 checksumer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1176895
TreeView+ depends on / blocked
 
Reported: 2014-12-23 14:47 UTC by Piotr Popieluch
Modified: 2015-01-24 18:42 UTC (History)
2 users (show)

Fixed In Version: nodejs-crc32-stream-0.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-27 00:51:46 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Piotr Popieluch 2014-12-23 14:47:46 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-crc32-stream.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-crc32-stream-0.3.1-1.fc21.src.rpm
Description: 
crc32-stream is a streaming CRC32 checksumer. It uses buffer-crc32 behind the
scenes to reliably handle binary data and fancy character sets. Data is passed
through untouched.

Fedora Account System Username: piotrp

Comment 1 Parag AN(पराग) 2014-12-23 17:06:46 UTC
Review:

+ Package built successful in mock (f22 x86_64)

+ rpmlint on generated rpms gave output
nodejs-crc32-stream.noarch: W: spelling-error Summary(en_US) checksumer -> checkers
nodejs-crc32-stream.noarch: W: spelling-error %description -l en_US checksumer -> checkers
nodejs-crc32-stream.noarch: W: only-non-binary-in-usr-lib
nodejs-crc32-stream.noarch: W: dangling-symlink /usr/lib/node_modules/crc32-stream/node_modules/readable-stream /usr/lib/node_modules/readable-stream
nodejs-crc32-stream.noarch: W: dangling-symlink /usr/lib/node_modules/crc32-stream/node_modules/buffer-crc32 /usr/lib/node_modules/buffer-crc32
nodejs-crc32-stream.src: W: spelling-error Summary(en_US) checksumer -> checkers
nodejs-crc32-stream.src: W: spelling-error %description -l en_US checksumer -> checkers
nodejs-crc32-stream.src: W: strange-permission nodejs-crc32-stream-dl-tests.sh 0755L
nodejs-crc32-stream.src: W: invalid-url Source1: nodejs-crc32-stream-tests-0.3.1.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 9 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball:  6604f81875f63133ea9b088c32f4f89ae757f30b1aa01fb49b561dd8916be459
upstream tarball:   6604f81875f63133ea9b088c32f4f89ae757f30b1aa01fb49b561dd8916be459

+ License is "MIT" and included in its own LICENSE-MIT file.

+ follows nodejs packaging guidelines.

APPROVED.

Comment 2 Piotr Popieluch 2014-12-24 10:34:15 UTC
New Package SCM Request
=======================
Package Name: nodejs-crc32-stream
Short Description: A streaming CRC32 checksumer
Upstream URL: https://github.com/ctalkington/node-crc32-stream
Owners: piotrp
Branches: f20 f21 el6 epel7

Comment 3 Gwyn Ciesla 2014-12-24 11:27:58 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-12-24 12:41:55 UTC
nodejs-crc32-stream-0.3.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-crc32-stream-0.3.1-1.fc21

Comment 5 Fedora Update System 2014-12-24 12:42:21 UTC
nodejs-crc32-stream-0.3.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-crc32-stream-0.3.1-1.fc20

Comment 6 Fedora Update System 2014-12-25 05:30:44 UTC
nodejs-crc32-stream-0.3.1-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 7 Piotr Popieluch 2014-12-27 00:51:46 UTC
package built, closing.

Comment 8 Fedora Update System 2014-12-27 18:51:11 UTC
nodejs-crc32-stream-0.3.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-crc32-stream-0.3.1-1.el7

Comment 9 Fedora Update System 2015-01-02 05:03:35 UTC
nodejs-crc32-stream-0.3.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2015-01-06 06:18:28 UTC
nodejs-crc32-stream-0.3.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 11 Fedora Update System 2015-01-24 18:42:41 UTC
nodejs-crc32-stream-0.3.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.